
Foreman - Bug #14169

Non-admin users cannot see filters for roles

03/13/2016 07:13 AM - Shimon Shtein

Status: New   

Priority: Normal   

Assignee:    

Category: Users, Roles and Permissions   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1460907 Red Hat JIRA:  

Pull request:    

Description

How to reproduce:

1. Create a user

2. Create a role with following permissions: view, create, add, remove filters; view, edit roles; view, assign organizations; view,

assign locations;

3. Assign the new role to the new user

4. login as a user

5. Go to Administer -> roles

6. Press 'Filters' button for any role except for the new one.

Expected: list of filters for that role

Actual: empty list

While investigating, I have found that the problem starts in app/services/authorizer.rb:25

The query produced by user.filters contains a filter on role_id which is not needed there.

History

#1 - 03/14/2016 04:22 AM - Dominic Cleal

- Category set to Users, Roles and Permissions

#2 - 01/08/2018 02:14 PM - Ondřej Pražák

- Bugzilla link set to 1460907

Powered by TCPDF (www.tcpdf.org)

05/21/2024 1/1

http://www.tcpdf.org

